### Method

# Phosh SessionManager inhibit

#### Declaration [src]

    guint
    phosh_session_manager_inhibit (
      PhoshSessionManager* self,
      PhoshSessionManagerFlags what,
      const char* reason
    )

#### Description

No description available.

#### Parameters

`what`

  Type: `PhoshSessionManagerFlags`

  No description available.

`reason`

  Type: `const char*`

  No description available.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `guint`

No description available.